%global pypi_name XStatic-Hogan
%global _description %{expand:
Hogan JavaScript library packaged for setuptools (easy_install) / pip.
This package is intended to be used by **any** project that needs these files.
It intentionally does **not** provide any extra code except some metadata
**nor** has any extra requirements. You MAY use some minimal support code from
the XStatic base package, if you like.
You can find more info about the xstatic packaging way in the package `XStatic`.}

Summary:        Hogan 2.0.0 (XStatic packaging standard)
Name:           python-%{pypi_name}
Version:        2.0.0.3
Release:        2%{?dist}
License:        Apache-2.0
URL:            http://twitter.github.io/hogan.js/
Source0:        %pypi_source
BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 kianli <kianli@tencent.com> - 2.0.0.3-1
- initial build
